# null

![](/files/-LWNPOgdk7DiG82oAkG1)

The `null` output plugin just throws away events.

It is included in Fluentd's core.

## Example Configuration

```
<match pattern>
  @type null
</match>
```

Please see the [Configuration File](/configuration/config-file.md) article for the basic structure and syntax of the configuration file.

## Supported Modes

* Non-Buffered
* Synchronous
* Asynchronous

See [Output Plugin Overview](/output.md) for more details.

## Parameters

[Common Parameters](/configuration/plugin-common-parameters.md)

### `@type`

The value must be `null`.

### `never_flush`

| type | default | version |
| ---- | ------- | ------- |
| bool | false   | 0.14.12 |

The parameter for testing to simulate the output plugin that never succeeds to flush.

### `<buffer>` Section

See [Buffer section configurations](/configuration/buffer-section.md) for more details.

#### `chunk_keys`

| type  | default | version |
| ----- | ------- | ------- |
| array | tag     | 0.14.5  |

Overwrites the default value in this plugin.

#### `flush_at_shutdown`

| type | default | version |
| ---- | ------- | ------- |
| bool | true    | 0.14.5  |

Overwrites the default value in this plugin.

#### `chunk_limit_size`

| type | default | version |
| ---- | ------- | ------- |
| size | 10240   | 0.14.5  |

Overwrites the default value in this plugin.

## Common Buffer / Output parameters

See [Buffer Plugin Overview](/buffer.md) and [Output Plugin Overview](/output.md).

If this article is incorrect or outdated, or omits critical information, please [let us know](https://github.com/fluent/fluentd-docs-gitbook/issues?state=open). [Fluentd](http://www.fluentd.org/) is an open-source project under [Cloud Native Computing Foundation (CNCF)](https://cncf.io/). All components are available under the Apache 2 License.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluentd.org/output/null.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
